[PC-BSD Commits] r952 - in pbibuild/modules/inkscape: . overlay-dir
svn at pcbsd.org
svn at pcbsd.org
Wed Dec 5 07:45:45 PST 2007
Author: kris
Date: 2007-12-05 07:45:45 -0800 (Wed, 05 Dec 2007)
New Revision: 952
Modified:
pbibuild/modules/inkscape/build.sh
pbibuild/modules/inkscape/overlay-dir/PBI.RemoveScript.sh
pbibuild/modules/inkscape/overlay-dir/PBI.SetupScript.sh
Log:
Fixed up Inkscape to now ask if we want to remove the user profile data,
and also added the .mo translations to the app
Modified: pbibuild/modules/inkscape/build.sh
===================================================================
--- pbibuild/modules/inkscape/build.sh 2007-12-05 15:37:42 UTC (rev 951)
+++ pbibuild/modules/inkscape/build.sh 2007-12-05 15:45:45 UTC (rev 952)
@@ -9,3 +9,18 @@
# PORTVER = Version number of the port we used to build
##############################################################################
+
+# Get all the various Inkscape language files and copy them to the PBI
+LANGFILE="inkscape.mo"
+mkdir ${PBIDIR}/locale/
+cd /usr/local/share/locale
+for i in `ls`
+do
+ if [ -e "/usr/local/share/locale/${i}/LC_MESSAGES/${LANGFILE}" ]
+ then
+ mkdir ${PBIDIR}/locale/${i}
+ cp /usr/local/share/locale/${i}/LC_MESSAGES/${LANGFILE} ${PBIDIR}/locale/${i}/
+ fi
+done
+
+
Modified: pbibuild/modules/inkscape/overlay-dir/PBI.RemoveScript.sh
===================================================================
--- pbibuild/modules/inkscape/overlay-dir/PBI.RemoveScript.sh 2007-12-05 15:37:42 UTC (rev 951)
+++ pbibuild/modules/inkscape/overlay-dir/PBI.RemoveScript.sh 2007-12-05 15:45:45 UTC (rev 952)
@@ -10,3 +10,28 @@
rm /usr/local/bin/inkscape
rm /usr/local/share/inkscape
+if [ ! -z "$DISPLAY" ]
+then
+ # Ask if we want to remove the user profiles
+ kdialog --yesno "Do you want to remove Inkscape user settings?" --title "Remove user settings"
+ if [ "$?" = "0" ]
+ then
+ cd /home
+ for i in `ls`
+ do
+ if [ -e "/home/${i}/.inkscape" ]
+ then
+ rm -rf /home/${i}/.inkscape
+ fi
+ done
+ fi
+fi
+
+# Remove the old locale files since we are uninstalling
+LANGFILE="inkscape.mo"
+cd /Programs/${PROGDIR}/locale
+for i in `ls`
+do
+ rm /usr/local/share/locale/${i}/LC_MESSAGES/${LANGFILE}
+done
+
Modified: pbibuild/modules/inkscape/overlay-dir/PBI.SetupScript.sh
===================================================================
--- pbibuild/modules/inkscape/overlay-dir/PBI.SetupScript.sh 2007-12-05 15:37:42 UTC (rev 951)
+++ pbibuild/modules/inkscape/overlay-dir/PBI.SetupScript.sh 2007-12-05 15:45:45 UTC (rev 952)
@@ -18,4 +18,14 @@
ln -s /Programs/${PROGDIR}/.sbin/inkscape /usr/local/bin/inkscape
ln -s /Programs/${PROGDIR}/share/inkscape /usr/local/share/inkscape
+
+# Copy over all the LANG files
+LANGFILE="inkscape.mo"
+cd /Programs/${PROGDIR}/locale
+for i in `ls`
+do
+ mkdir -p /usr/local/share/locale/${i}/LC_MESSAGES >/dev/null 2>/dev/null
+ cp /Programs/${PROGDIR}/locale/${i}/${LANGFILE} /usr/local/share/locale/${i}/LC_MESSAGES/${LANGFILE}
+done
+
echo "LAUNCHCLOSE: /usr/local/bin/inkscape"
More information about the Commits
mailing list